Skip to main content
GET
/
api
/
call_transcripts
/
{id}
GET /api/call_transcripts/{id}
curl --request GET \
  --url https://api.sippet.ai/api/call_transcripts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "speaker": "caller",
      "content_index": 123,
      "item_id": "<string>",
      "occurred_at": "<unknown>"
    },
    "relationships": {
      "call": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      },
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"CallTranscript": "id,content,speaker,item_id,content_index,occurred_at,call_id"
}

Response

Success

data
object

A "Resource object" representing a CallTranscript

included
any[]
meta
object